<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<form name="form" ng-submit="submit()" class="form-horizontal">
    <div class="box-header with-border">
        <h3 class="box-title"><strong>Etape 3</strong> : Sélectionnez le chemin d'extraction du type et de l'indentifiant de chaque POI</h3>
        <!-- /.box-tools -->
    </div>
    <div class="box-body">
        <div class="small-box bg-gray-light">
            <div class="icon-heading">
                <i class="fa fa-info-circle"></i>
            </div>
            <div class="inner">
                Il faut maintenant s'assurer que chaque POI peut être identifié de manière unique et que son type peut être déterminé. Renseignez les chemins d'extraction de l'identifiant et du type de POI :
            </div>
        </div>
        <div class="form-group required" ng-class="{'has-error': form.xpathId.$invalid && form.$submitted}">
            <label class="col-sm-4 control-label required">Identifiant du POI</label>
            <div class="col-sm-8">
                <xpath-input name="xpathId" ng-model="data.xpathId" schema="schema" context="[data.xpathContext.expr]" selector="value" required></xpath-input>
                <p class="help-block" ng-show="form.xpathId.$invalid && form.$submitted">Vous devez choisir un chemin valide !</p>
            </div>
        </div>
        <div class="form-group required" ng-class="{'has-error': form.xpathLabel.$invalid && form.$submitted}">
            <label class="col-sm-4 control-label required">Titre du POI</label>
            <div class="col-sm-8">
                <xpath-input name="xpathLabel" ng-model="data.xpathLabel" schema="schema" context="[data.xpathContext.expr]" selector="value" required></xpath-input>
                <p class="help-block" ng-show="form.xpathLabel.$invalid && form.$submitted">Vous devez choisir un chemin valide !</p>
            </div>
        </div>
        <div class="form-group required" ng-class="{'has-error': form.xpathType.$invalid && form.$submitted}">
            <label class="col-sm-4 control-label required">Type du POI</label>
            <div class="col-sm-8">
                <div class="m-b-5">
                    <label class="radio-inline"><input name="typeExtractionMode" ng-model="typeExtractionMode" type="radio" value="expr" required="">Extrait du XML</label>
                    <label class="radio-inline"><input name="typeExtractionMode" ng-model="typeExtractionMode" type="radio" value="constant" required="">Valeur constante</label>
                </div>

                <div ng-if="typeExtractionMode == 'expr'">
                    <xpath-input name="xpathType" ng-model="data.xpathType" schema="schema" context="[data.xpathContext.expr]" selector="value" required></xpath-input>
                    <p class="help-block" ng-show="form.xpathType.$invalid && form.$submitted">Vous devez choisir un chemin valide !</p>
                </div>
                <div ng-if="typeExtractionMode == 'constant'">
                    <selectize config='typeSelectize.config' options='typeSelectize.options' ng-model="data.resourceType" required></selectize>
                    <p class="help-block" ng-show="form.resourceType.$invalid && form.$submitted">Vous devez choisir un type !</p>
                </div>
            </div>
        </div>
    </div>
    <div class="box-footer">
        <a class="btn btn-default" ui-sref="wizard.step1">Etape précédente</a>
        <button type="submit" class="btn btn-primary pull-right" ng-class="{disabled: form.$invalid}">{{ !data.resourceType ? "Etape suivante" : "Commencer l'alignement" }}</button>
    </div>
</form>